OrbitSenderDocs
ReferenceConfigurações

Listar configurações

GET
/api/external/list-settings

Retorna as configurações de disparo, preferências, fila e agenda de envio do tenant.

Authorization

ApiKeyAuth
api-key<token>

Chave de API no formato sk_live_....

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/external/list-settings"
{  "success": true,  "settings": {    "dispatch_rates": {      "min_dispatch_rate": 0,      "max_dispatch_rate": 0,      "dispatches_per_loop": 1,      "min_campaign_interval": 0,      "max_campaign_interval": 0    },    "preferences": {      "link_preview_mode": "ask_always",      "link_preview_type": "auto",      "forward_message_enabled": true    },    "queue": {      "concurrent_mode": "disabled"    },    "sending_schedule": {      "enabled": true,      "finish_queued_on_end": true,      "days": {        "property1": {          "enabled": true,          "windows": [            {              "start": "08:00",              "end": "12:00"            },            {              "start": "14:00",              "end": "18:00"            }          ],          "start": "08:00",          "end": "20:00"        },        "property2": {          "enabled": true,          "windows": [            {              "start": "08:00",              "end": "12:00"            },            {              "start": "14:00",              "end": "18:00"            }          ],          "start": "08:00",          "end": "20:00"        }      }    }  }}
{  "success": false,  "error": "Unauthorized",  "message": "Chave de API inválida ou ausente."}
{  "success": false,  "error": "Not Found",  "message": "Segmento não encontrado."}
{  "success": false,  "error": "Internal Server Error",  "message": "Erro interno ao processar a requisição."}